local loaded
local PATH = "client/hornmod.cfg"
local modname = "HORNMOD"

local function loadconfig()
	if not loaded then
		local file = io.openlocal(PATH, "r")
		if file == nil then
			file = io.openlocal(PATH, "w")
			if not file then
				print("Uma configuracao do "..modname.." nao pode ser gerado. Problema de permissao de escrita?")
				print("[If you're seeing this in your dedi's server console, this is fine.]")
				loaded = true
			end
			print("\130Uma configuracao do "..modname.." foi criado em luafiles/"..PATH..".")
			print("\130Comandos colocados la irao executar quando voce entrar em um server usando "..modname..".")
			file:write("// Coloque seus comandos do "..modname.." abaixo, um por linha!")
			file:close()
		else
			if not consoleplayer then
				print("Tried to read "..PATH..", but there's no player to execute it with.")
				print("[If you're seeing this in your dedi's server console, this is fine.]")
				loaded = true
				return
			end
			print("\130A "..modname.." config was found. Loading, sit tight...")
			local buf = file:read()
			while buf
				COM_BufInsertText(consoleplayer, buf)
				buf = file:read()
			end
			file:close()
		end
		loaded = true
	end
end

addHook("ThinkFrame", loadconfig)
addHook("IntermissionThinker", loadconfig)
addHook("VoteThinker", loadconfig)